UserSettings (gCube Share Updates Portlet 0.5.0-2.16.0 API)
Date: 2013-07-30

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.shareupdates.shared
Class UserSettings

    java.lang.Object
      org.gcube.portlets.user.shareupdates.shared.UserSettings

All Implemented Interfaces:
  Serializable

    public class UserSettings

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`UserSettings()`
`UserSettings(org.gcube.portal.databook.shared.UserInfo userInfo, int refreshingTimeInMillis, String currentScope, boolean isInfrastructure)`

Method Summary
`String` | `getCurrentScope()`
`int` | `getRefreshingTimeInMillis()`
`org.gcube.portal.databook.shared.UserInfo` | `getUserInfo()`
`boolean` | `isInfrastructure()`
`void` | `setCurrentScope(String currentScope)`
`void` | `setInfrastructure(boolean isInfrastructure)`
`void` | `setRefreshingTimeInMillis(int refreshingTimeInMillis)`
`void` | `setUserInfo(org.gcube.portal.databook.shared.UserInfo userInfo)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UserSettings

    public UserSettings()

### UserSettings

    public UserSettings(org.gcube.portal.databook.shared.UserInfo userInfo,
                        int refreshingTimeInMillis,
                        String currentScope,
                        boolean isInfrastructure)

Method Detail

### getUserInfo

    public org.gcube.portal.databook.shared.UserInfo getUserInfo()

### setUserInfo

    public void setUserInfo(org.gcube.portal.databook.shared.UserInfo userInfo)

### getRefreshingTimeInMillis

    public int getRefreshingTimeInMillis()

### setRefreshingTimeInMillis

    public void setRefreshingTimeInMillis(int refreshingTimeInMillis)

### getCurrentScope

    public String getCurrentScope()

### setCurrentScope

    public void setCurrentScope(String currentScope)

### isInfrastructure

    public boolean isInfrastructure()

### setInfrastructure

    public void setInfrastructure(boolean isInfrastructure)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.